# CMAKE generated file: DO NOT EDIT!
# Generated by "Ninja" Generator, CMake Version 4.0

# This file contains all the build statements describing the
# compilation DAG.

# =============================================================================
# Write statements declared in CMakeLists.txt:
# 
# Which is the root file.
# =============================================================================

# =============================================================================
# Project: ST-LAB
# Configurations: Debug
# =============================================================================

#############################################
# Minimal version of Ninja required by this file

ninja_required_version = 1.5


#############################################
# Set configuration variable for custom commands.

CONFIGURATION = Debug
# =============================================================================
# Include auxiliary files.


#############################################
# Include rules file.

include CMakeFiles/rules.ninja

# =============================================================================

#############################################
# Logical path to working directory; prefix for absolute paths.

cmake_ninja_workdir = /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/build/Debug/
# =============================================================================
# Object build statements for EXECUTABLE target ST-LAB


#############################################
# Order-only phony target for ST-LAB

build cmake_object_order_depends_target_ST-LAB: phony || cmake_object_order_depends_target_STM32_Drivers

build CMakeFiles/ST-LAB.dir/Core/Src/main.c.obj: C_COMPILER__ST-LAB_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Core/Src/main.c || cmake_object_order_depends_target_ST-LAB
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = CMakeFiles/ST-LAB.dir/Core/Src/main.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Core/MyInc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = CMakeFiles/ST-LAB.dir
  OBJECT_FILE_DIR = CMakeFiles/ST-LAB.dir/Core/Src

build CMakeFiles/ST-LAB.dir/Core/Src/gpio.c.obj: C_COMPILER__ST-LAB_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Core/Src/gpio.c || cmake_object_order_depends_target_ST-LAB
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = CMakeFiles/ST-LAB.dir/Core/Src/gpio.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Core/MyInc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = CMakeFiles/ST-LAB.dir
  OBJECT_FILE_DIR = CMakeFiles/ST-LAB.dir/Core/Src

build CMakeFiles/ST-LAB.dir/Core/Src/adc.c.obj: C_COMPILER__ST-LAB_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Core/Src/adc.c || cmake_object_order_depends_target_ST-LAB
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = CMakeFiles/ST-LAB.dir/Core/Src/adc.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Core/MyInc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = CMakeFiles/ST-LAB.dir
  OBJECT_FILE_DIR = CMakeFiles/ST-LAB.dir/Core/Src

build CMakeFiles/ST-LAB.dir/Core/Src/tim.c.obj: C_COMPILER__ST-LAB_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Core/Src/tim.c || cmake_object_order_depends_target_ST-LAB
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = CMakeFiles/ST-LAB.dir/Core/Src/tim.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Core/MyInc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = CMakeFiles/ST-LAB.dir
  OBJECT_FILE_DIR = CMakeFiles/ST-LAB.dir/Core/Src

build CMakeFiles/ST-LAB.dir/Core/Src/usart.c.obj: C_COMPILER__ST-LAB_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Core/Src/usart.c || cmake_object_order_depends_target_ST-LAB
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = CMakeFiles/ST-LAB.dir/Core/Src/usart.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Core/MyInc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = CMakeFiles/ST-LAB.dir
  OBJECT_FILE_DIR = CMakeFiles/ST-LAB.dir/Core/Src

build CMakeFiles/ST-LAB.dir/Core/Src/stm32h7xx_it.c.obj: C_COMPILER__ST-LAB_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Core/Src/stm32h7xx_it.c || cmake_object_order_depends_target_ST-LAB
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = CMakeFiles/ST-LAB.dir/Core/Src/stm32h7xx_it.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Core/MyInc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = CMakeFiles/ST-LAB.dir
  OBJECT_FILE_DIR = CMakeFiles/ST-LAB.dir/Core/Src

build CMakeFiles/ST-LAB.dir/Core/Src/stm32h7xx_hal_msp.c.obj: C_COMPILER__ST-LAB_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Core/Src/stm32h7xx_hal_msp.c || cmake_object_order_depends_target_ST-LAB
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = CMakeFiles/ST-LAB.dir/Core/Src/stm32h7xx_hal_msp.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Core/MyInc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = CMakeFiles/ST-LAB.dir
  OBJECT_FILE_DIR = CMakeFiles/ST-LAB.dir/Core/Src

build CMakeFiles/ST-LAB.dir/Core/Src/sysmem.c.obj: C_COMPILER__ST-LAB_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Core/Src/sysmem.c || cmake_object_order_depends_target_ST-LAB
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = CMakeFiles/ST-LAB.dir/Core/Src/sysmem.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Core/MyInc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = CMakeFiles/ST-LAB.dir
  OBJECT_FILE_DIR = CMakeFiles/ST-LAB.dir/Core/Src

build CMakeFiles/ST-LAB.dir/Core/Src/syscalls.c.obj: C_COMPILER__ST-LAB_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Core/Src/syscalls.c || cmake_object_order_depends_target_ST-LAB
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = CMakeFiles/ST-LAB.dir/Core/Src/syscalls.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Core/MyInc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = CMakeFiles/ST-LAB.dir
  OBJECT_FILE_DIR = CMakeFiles/ST-LAB.dir/Core/Src

build CMakeFiles/ST-LAB.dir/startup_stm32h743xx.s.obj: ASM_COMPILER__ST-LAB_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/startup_stm32h743xx.s || cmake_object_order_depends_target_ST-LAB
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = CMakeFiles/ST-LAB.dir/startup_stm32h743xx.s.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -x assembler-with-cpp -MMD -MP -g
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Core/MyInc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = CMakeFiles/ST-LAB.dir
  OBJECT_FILE_DIR = CMakeFiles/ST-LAB.dir

build CMakeFiles/ST-LAB.dir/Core/MySrc/pansi.c.obj: C_COMPILER__ST-LAB_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Core/MySrc/pansi.c || cmake_object_order_depends_target_ST-LAB
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = CMakeFiles/ST-LAB.dir/Core/MySrc/pansi.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Core/MyInc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = CMakeFiles/ST-LAB.dir
  OBJECT_FILE_DIR = CMakeFiles/ST-LAB.dir/Core/MySrc

build CMakeFiles/ST-LAB.dir/Core/MySrc/myUSART.c.obj: C_COMPILER__ST-LAB_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Core/MySrc/myUSART.c || cmake_object_order_depends_target_ST-LAB
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = CMakeFiles/ST-LAB.dir/Core/MySrc/myUSART.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Core/MyInc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = CMakeFiles/ST-LAB.dir
  OBJECT_FILE_DIR = CMakeFiles/ST-LAB.dir/Core/MySrc

build CMakeFiles/ST-LAB.dir/Core/MySrc/myTIM.c.obj: C_COMPILER__ST-LAB_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Core/MySrc/myTIM.c || cmake_object_order_depends_target_ST-LAB
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = CMakeFiles/ST-LAB.dir/Core/MySrc/myTIM.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Core/MyInc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = CMakeFiles/ST-LAB.dir
  OBJECT_FILE_DIR = CMakeFiles/ST-LAB.dir/Core/MySrc

build CMakeFiles/ST-LAB.dir/Core/MySrc/myADC.c.obj: C_COMPILER__ST-LAB_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Core/MySrc/myADC.c || cmake_object_order_depends_target_ST-LAB
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = CMakeFiles/ST-LAB.dir/Core/MySrc/myADC.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Core/MyInc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = CMakeFiles/ST-LAB.dir
  OBJECT_FILE_DIR = CMakeFiles/ST-LAB.dir/Core/MySrc


# =============================================================================
# Link build statements for EXECUTABLE target ST-LAB


#############################################
# Link the executable ST-LAB.elf

build ST-LAB.elf: C_EXECUTABLE_LINKER__ST-LAB_Debug cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Core/Src/system_stm32h7xx.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_adc.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_adc_ex.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_rcc.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_rcc_ex.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_flash.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_flash_ex.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_gpio.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_hsem.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_dma.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_dma_ex.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_mdma.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_pwr.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_pwr_ex.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_cortex.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_i2c.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_i2c_ex.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_exti.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_tim.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_tim_ex.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_uart.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_uart_ex.c.obj CMakeFiles/ST-LAB.dir/Core/Src/main.c.obj CMakeFiles/ST-LAB.dir/Core/Src/gpio.c.obj CMakeFiles/ST-LAB.dir/Core/Src/adc.c.obj CMakeFiles/ST-LAB.dir/Core/Src/tim.c.obj CMakeFiles/ST-LAB.dir/Core/Src/usart.c.obj CMakeFiles/ST-LAB.dir/Core/Src/stm32h7xx_it.c.obj CMakeFiles/ST-LAB.dir/Core/Src/stm32h7xx_hal_msp.c.obj CMakeFiles/ST-LAB.dir/Core/Src/sysmem.c.obj CMakeFiles/ST-LAB.dir/Core/Src/syscalls.c.obj CMakeFiles/ST-LAB.dir/startup_stm32h743xx.s.obj CMakeFiles/ST-LAB.dir/Core/MySrc/pansi.c.obj CMakeFiles/ST-LAB.dir/Core/MySrc/myUSART.c.obj CMakeFiles/ST-LAB.dir/Core/MySrc/myTIM.c.obj CMakeFiles/ST-LAB.dir/Core/MySrc/myADC.c.obj || cmake/stm32cubemx/STM32_Drivers
  CONFIG = Debug
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3
  LINK_FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -T "/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/STM32H743XX_FLASH.ld" --specs=nano.specs -Wl,-Map=ST-LAB.map -Wl,--gc-sections -Wl,--print-memory-usage
  LINK_LIBRARIES = -lm
  OBJECT_DIR = CMakeFiles/ST-LAB.dir
  POST_BUILD = :
  PRE_LINK = :
  TARGET_FILE = ST-LAB.elf
  TARGET_PDB = ST-LAB.elf.dbg


#############################################
# Utility command for edit_cache

build CMakeFiles/edit_cache.util: CUSTOM_COMMAND
  COMMAND = cd /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/build/Debug && /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/bin/ccmake -S/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB -B/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/build/Debug
  DESC = Running CMake cache editor...
  pool = console
  restat = 1

build edit_cache: phony CMakeFiles/edit_cache.util


#############################################
# Utility command for rebuild_cache

build CMakeFiles/rebuild_cache.util: CUSTOM_COMMAND
  COMMAND = cd /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/build/Debug && /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/bin/cmake --regenerate-during-build -S/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB -B/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/build/Debug
  DESC = Running CMake to regenerate build system...
  pool = console
  restat = 1

build rebuild_cache: phony CMakeFiles/rebuild_cache.util

# =============================================================================
# Write statements declared in CMakeLists.txt:
# /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/CMakeLists.txt
# =============================================================================

# =============================================================================
# Object build statements for OBJECT_LIBRARY target STM32_Drivers


#############################################
# Order-only phony target for STM32_Drivers

build cmake_object_order_depends_target_STM32_Drivers: phony || .

build cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Core/Src/system_stm32h7xx.c.obj: C_COMPILER__STM32_Drivers_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Core/Src/system_stm32h7xx.c || cmake_object_order_depends_target_STM32_Drivers
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Core/Src/system_stm32h7xx.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir
  OBJECT_FILE_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Core/Src

build cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_adc.c.obj: C_COMPILER__STM32_Drivers_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_adc.c || cmake_object_order_depends_target_STM32_Drivers
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_adc.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir
  OBJECT_FILE_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src

build cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_adc_ex.c.obj: C_COMPILER__STM32_Drivers_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_adc_ex.c || cmake_object_order_depends_target_STM32_Drivers
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_adc_ex.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir
  OBJECT_FILE_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src

build cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_rcc.c.obj: C_COMPILER__STM32_Drivers_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_rcc.c || cmake_object_order_depends_target_STM32_Drivers
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_rcc.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir
  OBJECT_FILE_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src

build cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_rcc_ex.c.obj: C_COMPILER__STM32_Drivers_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_rcc_ex.c || cmake_object_order_depends_target_STM32_Drivers
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_rcc_ex.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir
  OBJECT_FILE_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src

build cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_flash.c.obj: C_COMPILER__STM32_Drivers_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_flash.c || cmake_object_order_depends_target_STM32_Drivers
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_flash.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir
  OBJECT_FILE_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src

build cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_flash_ex.c.obj: C_COMPILER__STM32_Drivers_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_flash_ex.c || cmake_object_order_depends_target_STM32_Drivers
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_flash_ex.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir
  OBJECT_FILE_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src

build cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_gpio.c.obj: C_COMPILER__STM32_Drivers_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_gpio.c || cmake_object_order_depends_target_STM32_Drivers
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_gpio.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir
  OBJECT_FILE_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src

build cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_hsem.c.obj: C_COMPILER__STM32_Drivers_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_hsem.c || cmake_object_order_depends_target_STM32_Drivers
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_hsem.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir
  OBJECT_FILE_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src

build cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_dma.c.obj: C_COMPILER__STM32_Drivers_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_dma.c || cmake_object_order_depends_target_STM32_Drivers
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_dma.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir
  OBJECT_FILE_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src

build cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_dma_ex.c.obj: C_COMPILER__STM32_Drivers_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_dma_ex.c || cmake_object_order_depends_target_STM32_Drivers
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_dma_ex.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir
  OBJECT_FILE_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src

build cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_mdma.c.obj: C_COMPILER__STM32_Drivers_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_mdma.c || cmake_object_order_depends_target_STM32_Drivers
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_mdma.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir
  OBJECT_FILE_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src

build cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_pwr.c.obj: C_COMPILER__STM32_Drivers_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_pwr.c || cmake_object_order_depends_target_STM32_Drivers
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_pwr.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir
  OBJECT_FILE_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src

build cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_pwr_ex.c.obj: C_COMPILER__STM32_Drivers_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_pwr_ex.c || cmake_object_order_depends_target_STM32_Drivers
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_pwr_ex.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir
  OBJECT_FILE_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src

build cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_cortex.c.obj: C_COMPILER__STM32_Drivers_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_cortex.c || cmake_object_order_depends_target_STM32_Drivers
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_cortex.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir
  OBJECT_FILE_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src

build cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal.c.obj: C_COMPILER__STM32_Drivers_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal.c || cmake_object_order_depends_target_STM32_Drivers
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir
  OBJECT_FILE_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src

build cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_i2c.c.obj: C_COMPILER__STM32_Drivers_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_i2c.c || cmake_object_order_depends_target_STM32_Drivers
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_i2c.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir
  OBJECT_FILE_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src

build cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_i2c_ex.c.obj: C_COMPILER__STM32_Drivers_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_i2c_ex.c || cmake_object_order_depends_target_STM32_Drivers
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_i2c_ex.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir
  OBJECT_FILE_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src

build cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_exti.c.obj: C_COMPILER__STM32_Drivers_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_exti.c || cmake_object_order_depends_target_STM32_Drivers
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_exti.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir
  OBJECT_FILE_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src

build cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_tim.c.obj: C_COMPILER__STM32_Drivers_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_tim.c || cmake_object_order_depends_target_STM32_Drivers
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_tim.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir
  OBJECT_FILE_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src

build cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_tim_ex.c.obj: C_COMPILER__STM32_Drivers_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_tim_ex.c || cmake_object_order_depends_target_STM32_Drivers
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_tim_ex.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir
  OBJECT_FILE_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src

build cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_uart.c.obj: C_COMPILER__STM32_Drivers_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_uart.c || cmake_object_order_depends_target_STM32_Drivers
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_uart.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir
  OBJECT_FILE_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src

build cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_uart_ex.c.obj: C_COMPILER__STM32_Drivers_unscanned_Debug /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_uart_ex.c || cmake_object_order_depends_target_STM32_Drivers
  CONFIG = Debug
  DEFINES = -DDEBUG -DSTM32H743xx -DUSE_HAL_DRIVER -DUSE_PWR_LDO_SUPPLY
  DEP_FILE = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_uart_ex.c.obj.d
  FLAGS = -mcpu=cortex-m7 -mfpu=fpv5-d16 -mfloat-abi=hard  -Wall -fdata-sections -ffunction-sections -O0 -g3 -std=gnu11
  INCLUDES = -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Core/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/STM32H7xx_HAL_Driver/Inc/Legacy -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32H7xx/Include -I/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/../../Drivers/CMSIS/Include
  OBJECT_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir
  OBJECT_FILE_DIR = cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src



#############################################
# Object library STM32_Drivers

build cmake/stm32cubemx/STM32_Drivers: phony cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Core/Src/system_stm32h7xx.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_adc.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_adc_ex.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_rcc.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_rcc_ex.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_flash.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_flash_ex.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_gpio.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_hsem.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_dma.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_dma_ex.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_mdma.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_pwr.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_pwr_ex.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_cortex.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_i2c.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_i2c_ex.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_exti.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_tim.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_tim_ex.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_uart.c.obj cmake/stm32cubemx/CMakeFiles/STM32_Drivers.dir/__/__/Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_uart_ex.c.obj


#############################################
# Utility command for edit_cache

build cmake/stm32cubemx/CMakeFiles/edit_cache.util: CUSTOM_COMMAND
  COMMAND = cd /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/build/Debug/cmake/stm32cubemx && /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/bin/ccmake -S/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB -B/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/build/Debug
  DESC = Running CMake cache editor...
  pool = console
  restat = 1

build cmake/stm32cubemx/edit_cache: phony cmake/stm32cubemx/CMakeFiles/edit_cache.util


#############################################
# Utility command for rebuild_cache

build cmake/stm32cubemx/CMakeFiles/rebuild_cache.util: CUSTOM_COMMAND
  COMMAND = cd /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/build/Debug/cmake/stm32cubemx && /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/bin/cmake --regenerate-during-build -S/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB -B/home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/build/Debug
  DESC = Running CMake to regenerate build system...
  pool = console
  restat = 1

build cmake/stm32cubemx/rebuild_cache: phony cmake/stm32cubemx/CMakeFiles/rebuild_cache.util

# =============================================================================
# Target aliases.

build ST-LAB: phony ST-LAB.elf

build STM32_Drivers: phony cmake/stm32cubemx/STM32_Drivers

# =============================================================================
# Folder targets.

# =============================================================================

#############################################
# Folder: /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/build/Debug

build all: phony ST-LAB.elf cmake/stm32cubemx/all

# =============================================================================

#############################################
# Folder: /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/build/Debug/cmake/stm32cubemx

build cmake/stm32cubemx/all: phony cmake/stm32cubemx/STM32_Drivers

# =============================================================================
# Built-in targets


#############################################
# Re-run CMake if any of its inputs changed.

build build.ninja /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/build/Debug/cmake_install.cmake /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/build/Debug/cmake/stm32cubemx/cmake_install.cmake: RERUN_CMAKE | /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/CMakeASMInformation.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/CMakeCInformation.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/CMakeCXXInformation.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/CMakeCommonLanguageInclude.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/CMakeGenericSystem.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/CMakeInitializeConfigs.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/CMakeLanguageInformation.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/CMakeSystemSpecificInformation.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/CMakeSystemSpecificInitialize.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/Compiler/CMakeCommonCompilerMacros.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/Compiler/GNU-ASM.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/Compiler/GNU-C.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/Compiler/GNU-CXX.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/Compiler/GNU.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/Internal/CMakeASMLinkerInformation.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/Internal/CMakeCLinkerInformation.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/Internal/CMakeCXXLinkerInformation.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/Internal/CMakeCommonLinkerInformation.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/Platform/Generic.cmake /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/CMakeLists.txt /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/gcc-arm-none-eabi.cmake /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/CMakeLists.txt CMakeCache.txt CMakeFiles/4.0.1/CMakeASMCompiler.cmake CMakeFiles/4.0.1/CMakeCCompiler.cmake CMakeFiles/4.0.1/CMakeCXXCompiler.cmake CMakeFiles/4.0.1/CMakeSystem.cmake
  pool = console


#############################################
# A missing CMake input file is not an error.

build /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/CMakeASMInformation.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/CMakeCInformation.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/CMakeCXXInformation.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/CMakeCommonLanguageInclude.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/CMakeGenericSystem.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/CMakeInitializeConfigs.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/CMakeLanguageInformation.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/CMakeSystemSpecificInformation.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/CMakeSystemSpecificInitialize.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/Compiler/CMakeCommonCompilerMacros.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/Compiler/GNU-ASM.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/Compiler/GNU-C.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/Compiler/GNU-CXX.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/Compiler/GNU.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/Internal/CMakeASMLinkerInformation.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/Internal/CMakeCLinkerInformation.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/Internal/CMakeCXXLinkerInformation.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/Internal/CMakeCommonLinkerInformation.cmake /home/pansi21/.local/share/stm32cube/bundles/cmake/4.0.1+st.3/share/cmake-4.0/Modules/Platform/Generic.cmake /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/CMakeLists.txt /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/gcc-arm-none-eabi.cmake /home/pansi21/Scrivania/C/STM32/vscode/ST-LAB/cmake/stm32cubemx/CMakeLists.txt CMakeCache.txt CMakeFiles/4.0.1/CMakeASMCompiler.cmake CMakeFiles/4.0.1/CMakeCCompiler.cmake CMakeFiles/4.0.1/CMakeCXXCompiler.cmake CMakeFiles/4.0.1/CMakeSystem.cmake: phony


#############################################
# Clean additional files.

build CMakeFiles/clean.additional: CLEAN_ADDITIONAL
  CONFIG = Debug


#############################################
# Clean all the built files.

build clean: CLEAN CMakeFiles/clean.additional


#############################################
# Print all primary targets available.

build help: HELP


#############################################
# Make the all target the default.

default all
